aboutsummaryrefslogtreecommitdiff
path: root/release/scripts/setup.sh
diff options
context:
space:
mode:
authorJordan K. Hubbard <jkh@FreeBSD.org>1995-01-14 13:34:37 +0000
committerJordan K. Hubbard <jkh@FreeBSD.org>1995-01-14 13:34:37 +0000
commit269f4a2ef1e963d72f5fb15b877d36f5e65d8928 (patch)
tree2724d4733fa96146e03c83b36c0fc8d7679bcdfc /release/scripts/setup.sh
parentccca965b89310ba0b10d4f5803ef4d4f829fb9c6 (diff)
downloadsrc-269f4a2ef1e963d72f5fb15b877d36f5e65d8928.tar.gz
src-269f4a2ef1e963d72f5fb15b877d36f5e65d8928.zip
Add very crude beginnings of the setup script.
Notes
Notes: svn path=/head/; revision=5605
Diffstat (limited to 'release/scripts/setup.sh')
-rw-r--r--release/scripts/setup.sh78
1 files changed, 78 insertions, 0 deletions
diff --git a/release/scripts/setup.sh b/release/scripts/setup.sh
new file mode 100644
index 000000000000..305a5f914357
--- /dev/null
+++ b/release/scripts/setup.sh
@@ -0,0 +1,78 @@
+#!/stand/sh
+#
+# bininst - perform the last stage of installation by somehow getting
+# a bindist onto the user's disk and unpacking it. The name bininst
+# is actually something of a misnomer, since this utility will install
+# more than just the bindist set.
+#
+# Written: November 11th, 1994
+# Copyright (C) 1994 by Jordan K. Hubbard
+#
+# Permission to copy or use this software for any purpose is granted
+# provided that this message stay intact, and at this location (e.g. no
+# putting your name on top after doing something trivial like reindenting
+# it, just to make it look like you wrote it!).
+#
+# $Id: bininst.sh,v 1.1 1995/01/14 10:28:20 jkh Exp $
+
+if [ "${_SETUP_LOADED_}" = "yes" ]; then
+ error "Error, $0 loaded more than once!"
+ return 1
+else
+ _SETUP_LOADED_=yes
+fi
+
+# Grab the miscellaneous functions.
+. /stand/miscfuncs.sh
+
+setup()
+{
+ DONE=""
+ while [ "${DONE}" = "" ]; do
+ dialog --title "Configuration Menu" --menu \
+"Configure your system for basic single user, network or\n\
+development workstation usage. Please select one of the
+following options. When you are finished setting up your\n\
+system, select \"done\". To invoke this configuration tool \n\
+again, type \`/stand/setup.sh\'." -1 -1 5 \
+"help" "Help! What does all this mean?" \
+"tzsetup" "Configure your system's time zone" \
+"network" "Configure basic networking parameters" \
+"user" "Add a user name for yourself to the system" \
+"guest" "Add a default user \"guest\" \
+"packages" "Install additional optional software on your system." \
+"ports" "Enable use of the ports collection from CD or fileserver." \
+"done" "Exit from setup." 2> ${TMP}/menu.tmp.$$
+ RETVAL=$?
+ CHOICE=`cat ${TMP}/menu.tmp.$$`
+ rm -f ${TMP}/menu.tmp.$$
+ if ! handle_rval ${RETVAL}; then exit 0; fi
+
+ case ${CHOICE} in
+ tzsetup)
+ dialog --clear
+ sh /stand/tzsetup
+ dialog --clear
+ ;;
+
+ network)
+ network_setup
+ ;;
+
+ user)
+ sh /stand/adduser.sh -i
+ ;;
+
+ guest)
+ sh /stand/adduser.sh
+ ;;
+
+ done)
+ DONE="yes"
+ ;;
+
+ *)
+ not_supported
+ esac
+ done
+}